Bug 829233 - Documentation of Boot Process in F17 is outdated.
Documentation of Boot Process in F17 is outdated.
Status: CLOSED CURRENTRELEASE
Product: Fedora Documentation
Classification: Fedora
Component: install-guide (Show other bugs)
devel
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Pete Travis
Ruediger Landmann
:
: 843698 846895 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-06 05:35 EDT by mauricio.esguerra
Modified: 2013-08-01 02:24 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 02:24:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a set of commits to address the change to systemd (190.00 KB, patch)
2012-10-15 09:51 EDT, Pete Travis
no flags Details | Diff
a better set of commits to address systemd (220.00 KB, patch)
2012-10-26 01:38 EDT, Pete Travis
no flags Details | Diff

  None (edit)
Description mauricio.esguerra 2012-06-06 05:35:08 EDT
Description of problem:

The Documentation at:

http://docs.fedoraproject.org/en-US/Fedora/17/html/Installation_Guide/ch-boot-init-shutdown.html

Is outdated and therefore misleading.
It refers to the sysv system instead of the new systemd system since F15.

Version-Release number of selected component (if applicable):
Fedora 17
Comment 1 Pete Travis 2012-07-30 10:35:36 EDT
*** Bug 843698 has been marked as a duplicate of this bug. ***
Comment 2 Pete Travis 2012-08-10 09:07:20 EDT
*** Bug 846895 has been marked as a duplicate of this bug. ***
Comment 3 Nick 2012-10-13 13:18:43 EDT
Additionally, the Fedora 16 guide has the same problem, but that's EOL soon enough.
Comment 4 Pete Travis 2012-10-15 09:51:29 EDT
Created attachment 627447 [details]
a set of commits to address the change to systemd
Comment 5 Pete Travis 2012-10-15 09:53:11 EDT
Ready for QA; please apply attached patch and review
Comment 6 Jack Reed 2012-10-25 23:49:52 EDT
Hi Pete,

Sorry for the delay. 

What fantastic work - thank you! This was a big job and you've enhanced this section so much.

I've got no major problems with it, just a list of easily fixed superficial points, identified by section:

F.3.1 - "GRUB Version 2" is referred to as GRUB2 in the rest of the doc.

F.4 - "the real root filesystem is mounted in it's place" (should be "its place")

F.5 
- "with increased parallelization ." (space before the full stop)
- "New process are started by systemd" (plural problem)
- The processes are assigned to Control Groups, or cgroups" (possibly an extra space before 'cgroups')
- in second bullet point, typo "alloted"
- there is an empty note admonition at the end of the section, titled 'Control Groups'

F.6 
Tagging both "units" and "targets" may be confusing given that F.6 focuses on targets and F.7 on units. Are the units in this section the same as those in F.7, or is the word merely a point of reference? 
If they are the same, introducing the concept and tagging the word before the dedicated section on them may be confusing, so you might want to switch F.6 and F.7. I may be missing a significant reason for this arrangement though. What do you think?

F.7 
- "and is decribed in a file" (typo)
- "it's dependencies" should be "its dependencies"
- in 'socket' table entry: "interprocesses communication" (should this be "interprocess communication"?)
- in 'socket' table entry: capitalize "unix"
- in 'service' table entry: "and envoronment of the program," (typo)
- in 'mount' table entry: "These units allow systemdto monitor" (space needed after 'systemd')
- in 'target' table entry: "such as multi-user.target that defines a full graphical user environment" and "such as bluetooth.target that provides the services a user expects" (in both cases, replace "that" with ", which" for structural clarity)
- in 'target' table entry: capitalise "bluetooth"

F.8 - "The [Unit] section has a shord description" (typo)

F.9 
- the tagging of "systemctl" is inconsistent throughout this section
- admonition title: "Expect legacy commands to be depricated!" (typo)
- in admonition text: "utilites" (typo)
- "systemctl" in second paragraph is untagged

F.9.4 - "/dev/null" is untagged

F.9.5 - "systemctl" is untagged

Thanks again!

Jack
Comment 7 Pete Travis 2012-10-26 01:38:58 EDT
Created attachment 633641 [details]
a better set of commits to address systemd
Comment 8 Pete Travis 2012-10-26 01:40:40 EDT
Thanks for the review! I've made the advised changes.
Comment 9 Jack Reed 2012-11-07 23:50:44 EST
Thanks very much, Pete. Pushing this to MODIFIED then.

Note You need to log in before you can comment on or make changes to this bug.